org.apache.sling.auth.xing.oauth

## Class XingOauthUtil

- java.lang.Object
- - org.apache.sling.auth.xing.oauth.XingOauthUtil

    public class XingOauthUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XingOauthUtil()`

### Method Summary

Methods
`static org.scribe.model.Token` `getAccessToken(javax.jcr.Credentials credentials)`
`static org.apache.sling.auth.xing.api.XingUser` `getXingUser(javax.jcr.Credentials credentials)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingOauthUtil

    public XingOauthUtil()

### Method Detail

#### getAccessToken

    public static org.scribe.model.Token getAccessToken(javax.jcr.Credentials credentials)

#### getXingUser

    public static org.apache.sling.auth.xing.api.XingUser getXingUser(javax.jcr.Credentials credentials)